<h1 align="center">http-request-codegen</h1>

<h2 align="center">Documentation: <a href="https://mondeja.github.io/http-request-codegen/">en</a> - <a href="https://mondeja.github.io/http-request-codegen/es/">es</a></h2>

<!--start-intro-->
**http-request-codegen** generates HTTP request code snippets for different
implementations. It's perfect if you want to include examples documenting APIs.
Supports the following features:

- Request parameters values randomization using multiples strategies:
    - Random values from iterables and callables.
    - Random values from data types.
    - Random values from [Faker providers](https://faker.readthedocs.io/en/master/providers.html).
    - Randomization using seeds and localization.
- Request headers customization.
- Request optional arguments by implementation.
- Custom line wrapping.
- Custom indentation.
- Custom quotation characters.
- Rendering in one line.
<!--end-intro-->

---

[![PyPI version][pypi-version-image]][pypi-link]
[![Test][test-image]][test-link]
[![Documentation][docs-image]][docs-link]
[![Coverage status][coverage-image]][coverage-link]

[pypi-version-image]: https://img.shields.io/pypi/v/http-request-codegen?label=version
[pypi-link]: https://pypi.org/project/http-request-codegen
[test-image]: https://img.shields.io/github/actions/workflow/status/mondeja/http-request-codegen/ci.yml?branch=master&label=tests&logo=github
[test-link]: https://github.com/mondeja/http-request-codegen/actions?query=workflow%3ACI
[docs-image]: https://img.shields.io/github/actions/workflow/status/mondeja/http-request-codegen/gh-pages.yml?branch=master&label=docs&logo=github
[docs-link]: https://mondeja.github.io/http-request-codegen/
[coverage-image]: https://img.shields.io/coveralls/github/mondeja/http-request-codegen?logo=coveralls
[coverage-link]: https://coveralls.io/github/mondeja/http-request-codegen
